Linux IPv6 HOWTO (en)
Prev | Chapter 11. Kernel settings in /proc-filesystem | Next

# 11.2. Entries in /proc/sys/net/ipv6/

## 11.2.1. conf/default/*

Change the interface-specific default settings.

## 11.2.2. conf/all/*

Change all the interface-specific settings.

Exception: “conf/all/forwarding” has a different meaning here

### 11.2.2.1. conf/all/forwarding

- Type: BOOLEAN

This enables global IPv6 forwarding between all interfaces.

In IPv6 you can't control forwarding per device, forwarding control has to be done using IPv6-netfilter (controlled with ip6tables) rulesets and specify input and output devices (see Firewalling/Netfilter6 for more). This is different to IPv4, where you are able to control forwarding per device (decision is made on interface where packet came in).

This also sets all interfaces' Host/Router setting 'forwarding' to the specified value. See below for details. This referred to as global forwarding.

If this value is 0, no IPv6 forwarding is enabled, packets never leave another interface, neither physical nor logical like e.g. tunnels.

## 11.2.3. conf/interface/*

Change special settings per interface.

The functional behaviour for certain settings is different depending on whether local forwarding is enabled or not.

### 11.2.3.1. accept_ra

- Type: BOOLEAN

- Functional default: enabled if local forwarding is disabled. disabled if local forwarding is enabled.

Accept Router Advertisements, and autoconfigure this interface with received data.

### 11.2.3.2. accept_redirects

- Type: BOOLEAN

- Functional default: enabled if local forwarding is disabled. disabled if local forwarding is enabled.

Accept Redirects sent by an IPv6 router.

### 11.2.3.3. autoconf

- Type: BOOLEAN

- Functional default: enabled if accept_ra_pinfo is enabled. disabled if accept_ra_pinfo is disabled.

Autoconfigure addresses using prefix information from router advertisements.

### 11.2.3.4. dad_transmits

- Type: INTEGER

- Default: 1

The amount of Duplicate Address Detection probes to send.

### 11.2.3.5. forwarding

- Type: BOOLEAN

- Default: FALSE if global forwarding is disabled (default), otherwise TRUE

Configure interface-specific Host/Router behaviour.

Note: It is recommended to have the same setting on all interfaces; mixed router/host scenarios are rather uncommon.

- Value FALSE: By default, Host behaviour is assumed. This means:

1. IsRouter flag is not set in Neighbour Advertisements.

2. Router Solicitations are being sent when necessary.

3. If accept_ra is TRUE (default), accept Router Advertisements (and do autoconfiguration).

4. If accept_redirects is TRUE (default), accept Redirects.

- Value TRUE: If local forwarding is enabled, Router behaviour is assumed. This means exactly the reverse from the above:

1. IsRouter flag is set in Neighbour Advertisements.

2. Router Solicitations are not sent.

3. Router Advertisements are ignored.

4. Redirects are ignored.

### 11.2.3.6. hop_limit

- Type: INTEGER

- Default: 64

Default Hop Limit to set.

### 11.2.3.7. mtu

- Type: INTEGER

- Default: 1280 (IPv6 required minimum)

Default Maximum Transfer Unit

### 11.2.3.8. router_solicitation_delay

- Type: INTEGER

- Default: 1

Number of seconds to wait after interface is brought up before sending Router Solicitations.

### 11.2.3.9. router_solicitation_interval

- Type: INTEGER

- Default: 4

Number of seconds to wait between Router Solicitations.

### 11.2.3.10. router_solicitations

- Type: INTEGER

- Default: 3

Number of Router Solicitations to send until assuming no routers are present.

## 11.2.4. neigh/default/*

Change default settings for neighbor detection and some special global interval and threshold values:

### 11.2.4.1. gc_thresh1

- Type: INTEGER

- Default: 128

More to be filled.

### 11.2.4.2. gc_thresh2

- Type: INTEGER

- Default: 512

More to be filled.

### 11.2.4.3. gc_thresh3

- Type: INTEGER

- Default: 1024

Tuning parameter for neighbour table size.

Increase this value if you have a lot of interfaces and problem with routes start to act mysteriously and fail. Or if a running Zebra (routing daemon) reports:

    ZEBRA: netlink-listen error: No buffer space available, type=RTM_NEWROUTE(24),
    ¬ seq=426, pid=0

### 11.2.4.4. gc_interval

- Type: INTEGER

- Default: 30

More to be filled.

## 11.2.5. neigh/interface/*

Change special settings per interface for neighbor detection.

### 11.2.5.1. anycast_delay

- Type: INTEGER

- Default: 100

More to be filled.

### 11.2.5.2. gc_stale_time

- Type: INTEGER

- Default: 60

More to be filled.

### 11.2.5.3. proxy_qlen

- Type: INTEGER

- Default: 64

More to be filled.

### 11.2.5.4. unres_qlen

- Type: INTEGER

- Default: 3

More to be filled.

### 11.2.5.5. app_solicit

- Type: INTEGER

- Default: 0

More to be filled.

### 11.2.5.6. locktime

- Type: INTEGER

- Default: 0

More to be filled.

### 11.2.5.7. retrans_time

- Type: INTEGER

- Default: 100

More to be filled.

### 11.2.5.8. base_reachable_time

- Type: INTEGER

- Default: 30

More to be filled.

### 11.2.5.9. mcast_solicit

- Type: INTEGER

- Default: 3

More to be filled.

### 11.2.5.10. ucast_solicit

- Type: INTEGER

- Default: 3

More to be filled

### 11.2.5.11. delay_first_probe_time

- Type: INTEGER

- Default: 5

More to be filled.

### 11.2.5.12. proxy_delay

- Type: INTEGER

- Default: 80

More to be filled.

## 11.2.6. route/*

Change global settings for routing.

### 11.2.6.1. flush

Removed in newer kernel releases - more to be filled.

### 11.2.6.2. gc_interval

- Type: INTEGER

- Default: 30

More to be filled.

### 11.2.6.3. gc_thresh

- Type: INTEGER

- Default: 1024

More to be filled.

### 11.2.6.4. mtu_expires

- Type: INTEGER

- Default: 600

More to be filled.

### 11.2.6.5. gc_elasticity

- Type: INTEGER

- Default: 0

More to be filled.

### 11.2.6.6. gc_min_interval

- Type: INTEGER

- Default: 5

More to be filled.

### 11.2.6.7. gc_timeout

- Type: INTEGER

- Default: 60

More to be filled.

### 11.2.6.8. min_adv_mss

- Type: INTEGER

- Default: 12

More to be filled.

### 11.2.6.9. max_size

- Type: INTEGER

- Default: 4096

More to be filled.

Prev | Home | Next
How to access the /proc-filesystem | Up | IPv6-related entries in /proc/sys/net/ipv4/